WineHQ

Deus Ex

Application Details:

Version: GOG
License: Retail
URL: http://mirror.deusexnetwork.co...
Votes: 0
Latest Rating: Gold
Latest Wine Version Tested: 1.9.19

Maintainers: About Maintainership

Test Results

Old test results
The test results you have selected are very old and may not represent the current state of Wine.
Selected Test Results

What works

Install

What does not

Can't run, Game crash on startup.


Workarounds

What was not tested

play

Hardware tested

Graphics:

  • GPU:
  • Driver:

Additional Comments

error log: Unity Player [version: Unity 4.3.4f1_e444f76e01cd] Unknown caused an Access Violation (0xc0000005) in module Unknown at 0023:f67e6329. Error occurred at 2014-10-13_151420. C:\Deus Ex The Fall\DeusEx_steam.exe, run by dhcp. 34% memory in use. 0 MB physical memory [3877 MB free]. 0 MB paging file [2268 MB free]. 0 MB user address space [0 MB free]. Write to location 00000067 caused an access violation. Context: EDI: 0x00000067 ESI: 0xfffffffc EAX: 0x7ca05840 EBX: 0xf67ea000 ECX: 0x7ca05854 EDX: 0x7ca05844 EIP: 0xf67e6329 EBP: 0x7ca0584c SegCs: 0x00000023 EFlags: 0x00010283 ESP: 0x0033e900 SegSs: 0x0000002b Bytes at CS:EIP: 89 2f 8b 68 10 8b 78 14 89 6f 04 8b 78 10 8b 68 Stack: 0x0033e900: 00000000 0033e93c 0033ea08 7bc4f9b9 .....|.... 0x0033e9a0: 7ca06120 00000000 00000000 060cc573 a.|........s... 0x0033e9b0: 00000a8d f6e61000 7c886d68 f6941562 ........hm.|b... 0x0033e9c0: 7c886d68 00000000 00000000 00000000 hm.|............ 0x0033e9d0: 00000000 f6e61000 7c933eb0 f6853805 .........>.|.8.. 0x0033e9e0: 7c933eb0 00000000 00000000 4d430003 .>.|..........CM 0x0033e9f0: 00000000 00000000 00000000 f68538d3 .............8.. 0x0033ea00: 7c933eb0 4d430001 09005fd0 00000010 .>.|..CM._...... 0x0033ea10: 00000000 00000000 00000000 4d430000 ..............CM 0x0033ea20: 00000000 00000000 f6853850 f6e61000 ........P8...... 0x0033ea30: 00000000 00000000 00000000 f69678f4 .............x.. 0x0033ea40: 00000000 00000000 00000000 7ebf73cd .............s.~ 0x0033ea50: 7ec41be0 00000000 7eb912f1 7bc3dd69 ...~.......~i..{ 0x0033ea60: 7ec41be0 00000002 f6967779 f6e61000 ...~....yw...... 0x0033ea70: 7c886d68 f6e50a20 7c8b4b80 f6b22fbe hm.| ....K.|./.. 0x0033ea80: f6e50a20 00000000 00000000 00000000 ............... 0x0033ea90: 00000000 7c922ab8 7c8b4b80 f6830554 .....*.|.K.|T... 0x0033eaa0: 7c922ab8 00000000 00000000 7bcc6000 .*.|.........`.{ 0x0033eab0: 08bc6000 09005fd0 0033eb58 f70b5000 .`..._..X.3..P.. 0x0033eac0: f7344700 00000000 7c927388 f709e049 .G4......s.|I... 0x0033ead0: 7c922ab8 7de776c0 00000001 f70b5000 .*.|.v.}.....P.. 0x0033eae0: f7344700 00000000 7c927388 f7078aad .G4......s.|.... 0x0033eaf0: 7c927388 00000000 f74f9420 00000030 .s.|.... .O.0... 0x0033eb00: 00000000 00000000 f70b9060 f70b5260 ........`...`R.. 0x0033eb10: 00000000 00000000 f7078950 7de72000 ........P.... .} 0x0033eb20: 00000000 00000000 0033eb98 f7078b93 ..........3..... 0x0033eb30: 7c83a858 00000000 00000000 00000000 X..|............ 0x0033eb40: 0033eb60 7bcc6000 0033ebc8 7de260d9 `.3..`.{..3..`.} 0x0033eb50: 7c83a858 00000000 00000000 7bc5108b X..|...........{ 0x0033eb60: 00110060 7c9b49b0 00000001 f689ed08 `....I.|........ 0x0033eb70: f6e61000 00000000 0033ebbc f69f6969 ..........3.ii.. 0x0033eb80: 09005fd0 00000000 7de25feb 7e57e000 ._......._.}..W~ 0x0033eb90: 7ffd8000 7e5830ac 0033ebc8 7e51b570 .....0X~..3.p.Q~ 0x0033eba0: 00000000 00000000 7e5830ac 00000000 .........0X~.... 0x0033ebb0: 00000000 7c94bd98 0033ebe0 f71f7000 .......|..3..p.. 0x0033ebc0: 00000000 00197fe8 0033ec48 f70f95fa ........H.3..... 0x0033ebd0: 00000000 f689c66d f70d7d2d f70f95fa ....m...-}...... 0x0033ebe0: 00000000 00000000 09005fd8 f68f1287 ........._...... 0x0033ebf0: 0033ec1c 00000000 0033ec68 7bc5108b ..3.....h.3....{ 0x0033ec00: 00110060 7c933eb0 00000014 7c8b1c80 `....>.|.......| 0x0033ec10: 00152610 00153800 0000001d 0030003a .&...8......:.0. 0x0033ec20: 00000000 00000040 00144d10 f71faa0c ....@....M...... 0x0033ec30: 00144d10 f7479e8d f70f906d f71f7000 .M....G.m....p.. 0x0033ec40: 00197fe8 00153800 0033ec88 f70f99e9 .....8....3..... 0x0033ec50: 00143a50 00000000 0033ec80 f71f7000 P:........3..p.. 0x0033ec60: 00152610 00153800 0033eca8 f7126c68 .&...8....3.hl.. 0x0033ec70: 00152610 00153800 f70f99ab f71f7000 .&...8.......p.. 0x0033ec80: 00000001 00150a90 0033eca8 f7192a73 ..........3.s*.. 0x0033ec90: 00153800 00197fe8 f70f96eb f71f7000 .8...........p.. 0x0033eca0: 0015f0f8 00153800 0033ed58 f7112ade .....8..X.3..*.. 0x0033ecb0: 00150a90 001528a8 0000040d 00000072 .....(......r... 0x0033ecc0: 00000000 00000000 000000bc 007c0000 ..............|. 0x0033ecd0: 00000000 00153800 f71b28d1 00153800 .....8...(...8.. 0x0033ece0: 00003a1c 00197fe8 00144d10 f71b28ab .:.......M...(.. 0x0033ecf0: 001e7520 0015f830 00150a90 0015644c u..0.......Ld.. 0x0033ed00: 00000000 00000000 00000000 00000000 ................ 0x0033ed10: 00000000 00000000 00000690 0000041a ................ 0x0033ed20: 0000003c 00000073 00000001 f71a80cb

selected in Test Results table below
Operating systemTest dateWine versionInstalls?Runs?Used
Workaround?
RatingSubmitter
ShowUbuntu 14.04 "Trusty" i386 (+ variants like Kubuntu)Oct 01 20161.9.19Yes Yes Goldppp 
ShowopenSUSE Factory i686Nov 24 20141.7.31Yes Yes SilverMaik Wagner 
CurrentopenSUSE 13.1 x86_64Oct 13 20141.7.28Yes No Garbagean anonymous user 
ShowLinux Mint 17 "Qiana" x86_64Oct 10 20141.7.28Yes Yes PlatinumAbdusamed 
ShowopenSUSE 13.1 x86_64Jan 08 20141.7.6Yes Yes GoldGreatEmerald 

Known Bugs

Bug # Description Status Resolution Other apps affected

Show all bugs

HowTo / Notes

Using the Stock OpenGL Renderer

Out-of-the box the stock OpenGL renderer will generate a segmentation fault:

double free or corruption (!prev)

This BASH script will fix the DeusEx.ini file settings to correct this. Note it is recommended to use the newer OpenGL renderer (which is significantly better)

  1. Create this script (credit to Morgawr, his original script was used as a basis for this):
  2. #!/bin/bash


    #export WINEPREFIX="❚❚❚❚❚❚"

    export DEUS_EX_PATH

    # Read install path for Deus Ex, from the Wine Registry.
    # Note: this requires a first run, when DeusEx is installed under Steam.

    DEUS_EX_PATH="$(
         wine reg query 'HKEY_LOCAL_MACHINE\Software\Unreal Technology\Installed Apps\Deus Ex' /v Folder 2>/dev/null \
            | awk '{ if (sub("^[[:blank:]]*Folder[[:blank:]]*REG_SZ[[:blank:]]*","")) print $0 }' \
            | dos2unix
    )"

    # Fallback to 'C:\DeusEx'

    DEUS_EX_PATH="${DEUS_EX_PATH:-C:\\DeusEx}"

    printf "Using DeusEx (Windows) install path: '%s'\\n" "${DEUS_EX_PATH}"

    # Convert path from Windows to Unix format

    DEUS_EX_PATH="$(winepath -u "${DEUS_EX_PATH}" 2>/dev/null)"

    if [[ ! -d "${DEUS_EX_PATH}" ]]; then
         printf "DeusEx install path: '%s' ; does not exist\\n" "${DEUS_EX_PATH}" >&2
         exit 1
    fi

    # Patch settings to make the game work properly on OpenGL devices
    # Uses the default DeusEx install path (for the current WINEPREFIX)
    if ! sed -i -e '/FrameRateLimit=60/d' \
                  -e 's/^GameRenderDevice=.*$/GameRenderDevice=OpenGLDrv.OpenGLRenderDevice/g' \
                  -e '/^GameRenderDevice=OpenGLDrv.OpenGLRenderDevice$/a\FrameRateLimit=60' \
                  -e 's/FirstRun=.*$/FirstRun=1100/g' \
             "${DEUS_EX_PATH}/System/DeusEx.ini"
    then
         printf "Unable to update DeusEx.ini file: '%s'\\n" "${DEUS_EX_PATH}/System/DeusEx.ini" >&2
    exit 1
    fi

    printf "Successfully updated DeusEx.ini file: '%s'\\n" "${DEUS_EX_PATH}/System/DeusEx.ini"

  3. Make the script executable & run it:
    chmod +x fix_deus_ex_opengl.sh
    ./fix_deus_ex_opengl.sh
    (ensure your WINEPREFIX env variable is set)
Install Kentie Launcher

The Kentie Launcher Deus Exe is a replacement executable for Deus Ex. It's compatible with the GOTY edition of the game, which includes the Steam version. Note: the enhanced Steam version of DeusEx appears to lose support for the high resolution/wide screen fixes, when the Kentie Launcher is installed.

The launcher:

  • fixes various issues running the game on modern computers
  • helps you configure the game
  • includes a mod manager

Kentie Launcher homepage

This script will download version 8.1 of the Kentie Launcher and automatically install it, to the specified WINEPREFIX.

Update the KENTIE_VERSION variable as required.

#!/bin/bash

export WINEPREFIX="❚❚❚❚❚❚"


export DEUS_EX_PATH PATH_7ZIP KENTIE_LAUNCHER_ARCHIVE KENTIE_LAUNCHER_URL KENTIE_VERSION

KENTIE_VERSION="8.1"
KENTIE_LAUNCHER_URL="http://kentie.net/article/dxguide/files/DeusExe-v${KENTIE_VERSION}.zip"
KENTIE_LAUNCHER_ARCHIVE="$(basename "${KENTIE_LAUNCHER_URL}")"

# Install winetricks verbs: vcrun2015 7zip

if ! winetricks vcrun2015 7zip; then
     printf "winetricks vcrun2015 7zip failed\\n" >&2
     exit 1
fi

# Read install path for Deus Ex, from the Wine Registry.
# Note: this requires a first run, when DeusEx is installed under Steam.

DEUS_EX_PATH="$(
     wine reg query 'HKEY_LOCAL_MACHINE\Software\Unreal Technology\Installed Apps\Deus Ex' /v Folder 2>/dev/null \
         | awk '{ if (sub("^[[:blank:]]*Folder[[:blank:]]*REG_SZ[[:blank:]]*","")) print $0 }' \
         | dos2unix
)"

# Fallback to 'C:\DeusEx'

DEUS_EX_PATH="${DEUS_EX_PATH:-C:\\DeusEx}"

printf "Using DeusEx (Windows) install path: '%s'\\n" "${DEUS_EX_PATH}"

# Convert path from Windows to Unix format

DEUS_EX_PATH="$(winepath -u "${DEUS_EX_PATH}" 2>/dev/null)"

if [[ ! -d "${DEUS_EX_PATH}" ]]; then
     printf "DeusEx install path: '%s' ; does not exist\\n" "${DEUS_EX_PATH}" >&2
     exit 1
fi

# Download Kentie Launcher
if ! wget "${KENTIE_LAUNCHER_URL}" -O "${DEUS_EX_PATH}/System/${KENTIE_LAUNCHER_ARCHIVE}"; then
     printf "Kentie Deus Ex Launcher unavailable @: '%s'\\n" "${KENTIE_LAUNCHER_URL}" >&2
     exit 1
fi

# Hack to determine path of 7-zip (32-bit or 64-bit)

PATH_7ZIP='C:\Program Files (x86)\7-Zip\7z.exe'

if ! wine "${PATH_7ZIP}" &>/dev/null; then
     PATH_7ZIP='C:\Program Files\7-Zip\7z.exe'
fi

if ! cd "${DEUS_EX_PATH}/System"; then
     printf "cd to path: '%s' ; failed\\n" "${DEUS_EX_PATH}/System" >&2
     exit 1
fi

# Extract Kentie Launcher archive (case-insensitive)
if ! wine "${PATH_7ZIP}" e -y """$(winepath -w "${KENTIE_LAUNCHER_ARCHIVE}" )"""; then
     printf "Unable to extract Kentie Deus Ex Launcher: '%s'\\n" "${DEUS_EX_PATH}/System/${KENTIE_LAUNCHER_ARCHIVE}" >&2
     exit 1
fi

printf "Successfully extracted Kentie Deus Ex Launcher: '%s'\\n" "${DEUS_EX_PATH}/System/${KENTIE_LAUNCHER_ARCHIVE}"


Comments

The following comments are owned by whoever posted them. WineHQ is not responsible for what they say.

Locale issue
by GreatEmerald on Saturday January 11th 2014, 3:16
The game needs to have LANG=C set, if you are using a non-standard locale, in order not to crash on startup.
Back